Index: code/branches/spaceraceTwo/data/levels/Spacerace2.oxw
===================================================================
--- code/branches/spaceraceTwo/data/levels/Spacerace2.oxw	(revision 8979)
+++ code/branches/spaceraceTwo/data/levels/Spacerace2.oxw	(revision 8983)
@@ -39,5 +39,5 @@
 	<SpaceRaceManager>
 <checkpoints>	
-	<RaceCheckPoint name="checkpoint1" position="0,-2000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false" nextcheckpoints="1,2,0">
+	<RaceCheckPoint name="checkpoint1" position="0,-2000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="40" checkpointindex="0" islast="false" nextcheckpoints="1,2,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -95,5 +95,5 @@
       </templates>
       <controller>
-        <WaypointPatrolController alertnessradius=1000 team=10>
+        <WaypointPatrolController alertnessradius=0 team=10>
           <waypoints>
             <Model mesh="cube.mesh" scale=0 position="0,-2000,1000" />
Index: code/branches/spaceraceTwo/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- code/branches/spaceraceTwo/src/modules/gametypes/RaceCheckPoint.h	(revision 8979)
+++ code/branches/spaceraceTwo/src/modules/gametypes/RaceCheckPoint.h	(revision 8983)
@@ -83,5 +83,5 @@
 
         private:
-            int bCheckpointIndex_; //The index of this check point.
+            int bCheckpointIndex_; //The index of this check point. The race starts with the check point with the index 0
             Vector3 nextcheckpoints_; //the indexes of the next check points
             
Index: code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc
===================================================================
--- code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc	(revision 8979)
+++ code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.cc	(revision 8983)
@@ -97,5 +97,5 @@
         {
             this->checkpoints_[0]->setRadarVisibility(true);
-            this->firstcheckpointvisible_=false;
+            this->firstcheckpointvisible_=true;
         }
          
@@ -153,9 +153,9 @@
                 gametype->end();
             else
-            {
+				{
                 if (index > -1)this->setRadVis(player,false);
                 	else this->getCheckpoint(0)->setRadarVisibility(false);
                 gametype->newCheckpointReached(check,player);
-                check->setRadarObjectColour(ColourValue::Green); //sets the radar colour of the checkpoint to green if it is reached, else it is red.
+               
                 
                 this->setRadVis(player, true);
@@ -187,6 +187,8 @@
         {
             this->getCheckpoint(v.z)->setRadarVisibility(b);
-            this->getCheckpoint(v.z)->settingsChanged();
+           this->getCheckpoint(v.z)->settingsChanged();
         }
+        
+        
     }
     
Index: code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h
===================================================================
--- code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h	(revision 8979)
+++ code/branches/spaceraceTwo/src/modules/gametypes/SpaceRaceManager.h	(revision 8983)
@@ -68,9 +68,9 @@
     
         protected:
-            void setRadVis(PlayerInfo* player, bool b);
+            void setRadVis(PlayerInfo* player, bool b);//sets RadarVisibility of the checkpoints the player can reach.
     
         private:
             std::vector<RaceCheckPoint*> checkpoints_;
-            bool firstcheckpointvisible_;
+            bool firstcheckpointvisible_;//true if the first check point is visible.
         
     };
Index: code/branches/spaceraceTwo/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/spaceraceTwo/src/orxonox/controllers/WaypointPatrolController.cc	(revision 8979)
+++ code/branches/spaceraceTwo/src/orxonox/controllers/WaypointPatrolController.cc	(revision 8983)
@@ -78,5 +78,5 @@
 
     void WaypointPatrolController::searchEnemy()
-    {/*
+    {
         this->patrolTimer_.setInterval(rnd());
 
@@ -101,5 +101,5 @@
 
         if (shortestsqdistance > (this->alertnessradius_ * this->alertnessradius_))
-            this->target_ = 0;*/
+            this->target_ = 0;
     }
 }
